<?xml version="1.0" encoding="utf-8"?>
<MotionScene xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:motion="http://schemas.android.com/apk/res-auto">

    <Transition
        motion:constraintSetEnd="@+id/filter3"
        motion:constraintSetStart="@id/filter1"
        motion:duration="100" />
    <Transition
        motion:constraintSetEnd="@+id/filter2"
        motion:constraintSetStart="@id/filter1"
        motion:duration="100" />
    <Transition
        motion:constraintSetEnd="@+id/filter3"
        motion:constraintSetStart="@id/filter2"
        motion:duration="100" />

    <Transition
        motion:constraintSetEnd="@+id/filterDark3"
        motion:constraintSetStart="@id/filterDark1"
        motion:duration="100" />
    <Transition
        motion:constraintSetEnd="@+id/filterDark2"
        motion:constraintSetStart="@id/filterDark1"
        motion:duration="100" />
    <Transition
        motion:constraintSetEnd="@+id/filterDark3"
        motion:constraintSetStart="@id/filterDark2"
        motion:duration="100" />

    <ConstraintSet android:id="@+id/filter1">
        <Constraint
            android:id="@+id/indicator"
            android:layout_width="50dp"
            android:layout_height="24dp"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintStart_toStartOf="parent"
            motion:layout_constraintTop_toTopOf="parent" />

        <Constraint
            android:id="@+id/icon1Iv"
            android:layout_width="12dp"
            android:layout_height="12dp"
            android:layout_marginStart="6dp"
            android:alpha="1"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintStart_toStartOf="parent"
            motion:layout_constraintTop_toTopOf="parent" />

        <Constraint
            android:id="@+id/filter1Tv"
            android:layout_width="wrap_content"
            android:layout_height="0dp"
            android:layout_marginStart="2dp"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintStart_toEndOf="@+id/icon1Iv"
            motion:layout_constraintTop_toTopOf="parent">
            <CustomAttribute
                motion:attributeName="textColor"
                motion:customColorValue="#333333" />
        </Constraint>

        <Constraint
            android:id="@+id/icon2Iv"
            android:layout_width="12dp"
            android:layout_height="12dp"
            android:layout_marginStart="6dp"
            android:alpha="0"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintStart_toEndOf="@+id/indicator"
            motion:layout_constraintTop_toTopOf="parent" />

        <Constraint
            android:id="@+id/filter2Tv"
            android:layout_width="40dp"
            android:layout_height="0dp"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintStart_toEndOf="@+id/indicator"
            motion:layout_constraintTop_toTopOf="parent">
            <CustomAttribute
                motion:attributeName="textColor"
                motion:customColorValue="#999999" />
        </Constraint>

        <Constraint
            android:id="@+id/icon3Iv"
            android:layout_width="12dp"
            android:layout_height="12dp"
            android:layout_marginStart="6dp"
            android:alpha="0"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintStart_toEndOf="@+id/filter2Tv"
            motion:layout_constraintTop_toTopOf="parent" />

        <Constraint
            android:id="@+id/filter3Tv"
            android:layout_width="40dp"
            android:layout_height="0dp"
            android:layout_marginStart="-2dp"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintStart_toEndOf="@+id/filter2Tv"
            motion:layout_constraintTop_toTopOf="parent">
            <CustomAttribute
                motion:attributeName="textColor"
                motion:customColorValue="#999999" />
        </Constraint>
    </ConstraintSet>

    <ConstraintSet android:id="@+id/filter2">
        <Constraint
            android:id="@+id/indicator"
            android:layout_width="50dp"
            android:layout_height="24dp"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintStart_toEndOf="@+id/filter1Tv"
            motion:layout_constraintTop_toTopOf="parent" />

        <Constraint
            android:id="@+id/icon1Iv"
            android:layout_width="12dp"
            android:layout_height="12dp"
            android:layout_marginStart="6dp"
            android:alpha="0"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintStart_toStartOf="parent"
            motion:layout_constraintTop_toTopOf="parent" />

        <Constraint
            android:id="@+id/filter1Tv"
            android:layout_width="40dp"
            android:layout_height="0dp"
            android:layout_marginStart="-2dp"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintStart_toStartOf="parent"
            motion:layout_constraintTop_toTopOf="parent">
            <CustomAttribute
                motion:attributeName="textColor"
                motion:customColorValue="#999999" />
        </Constraint>

        <Constraint
            android:id="@+id/icon2Iv"
            android:layout_width="12dp"
            android:layout_height="12dp"
            android:layout_marginStart="6dp"
            android:alpha="1"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintStart_toEndOf="@+id/filter1Tv"
            motion:layout_constraintTop_toTopOf="parent" />

        <Constraint
            android:id="@+id/filter2Tv"
            android:layout_width="wrap_content"
            android:layout_height="0dp"
            android:layout_marginStart="2dp"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintStart_toEndOf="@+id/icon2Iv"
            motion:layout_constraintTop_toTopOf="parent">
            <CustomAttribute
                motion:attributeName="textColor"
                motion:customColorValue="#333333" />
        </Constraint>

        <Constraint
            android:id="@+id/icon3Iv"
            android:layout_width="12dp"
            android:layout_height="12dp"
            android:layout_marginStart="6dp"
            android:alpha="0"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintStart_toStartOf="@+id/filter3Tv"
            motion:layout_constraintTop_toTopOf="parent" />

        <Constraint
            android:id="@+id/filter3Tv"
            android:layout_width="40dp"
            android:layout_height="0dp"
            android:layout_marginEnd="-2dp"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintEnd_toEndOf="parent"
            motion:layout_constraintTop_toTopOf="parent">
            <CustomAttribute
                motion:attributeName="textColor"
                motion:customColorValue="#999999" />
        </Constraint>
    </ConstraintSet>

    <ConstraintSet android:id="@+id/filter3">
        <Constraint
            android:id="@+id/indicator"
            android:layout_width="50dp"
            android:layout_height="24dp"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintEnd_toEndOf="parent"
            motion:layout_constraintTop_toTopOf="parent" />

        <Constraint
            android:id="@+id/icon1Iv"
            android:layout_width="12dp"
            android:layout_height="12dp"
            android:layout_marginStart="6dp"
            android:alpha="0"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintStart_toStartOf="parent"
            motion:layout_constraintTop_toTopOf="parent" />

        <Constraint
            android:id="@+id/filter1Tv"
            android:layout_width="40dp"
            android:layout_height="0dp"
            android:layout_marginStart="-2dp"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintStart_toStartOf="parent"
            motion:layout_constraintTop_toTopOf="parent">
            <CustomAttribute
                motion:attributeName="textColor"
                motion:customColorValue="#999999" />
        </Constraint>

        <Constraint
            android:id="@+id/icon2Iv"
            android:layout_width="12dp"
            android:layout_height="12dp"
            android:layout_marginStart="6dp"
            android:alpha="0"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintStart_toEndOf="@+id/filter1Tv"
            motion:layout_constraintTop_toTopOf="parent" />

        <Constraint
            android:id="@+id/filter2Tv"
            android:layout_width="40dp"
            android:layout_height="0dp"
            android:layout_marginStart="-2dp"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintStart_toEndOf="@+id/filter1Tv"
            motion:layout_constraintTop_toTopOf="parent">
            <CustomAttribute
                motion:attributeName="textColor"
                motion:customColorValue="#999999" />
        </Constraint>

        <Constraint
            android:id="@+id/icon3Iv"
            android:layout_width="12dp"
            android:layout_height="12dp"
            android:layout_marginStart="6dp"
            android:alpha="1"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintStart_toEndOf="@+id/filter2Tv"
            motion:layout_constraintTop_toTopOf="parent" />

        <Constraint
            android:id="@+id/filter3Tv"
            android:layout_width="wrap_content"
            android:layout_height="0dp"
            android:layout_marginStart="2dp"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintStart_toEndOf="@+id/icon3Iv"
            motion:layout_constraintTop_toTopOf="parent">
            <CustomAttribute
                motion:attributeName="textColor"
                motion:customColorValue="#333333" />
        </Constraint>
    </ConstraintSet>

    <ConstraintSet android:id="@+id/filterDark1">
        <Constraint
            android:id="@+id/indicator"
            android:layout_width="50dp"
            android:layout_height="24dp"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintStart_toStartOf="parent"
            motion:layout_constraintTop_toTopOf="parent" />

        <Constraint
            android:id="@+id/icon1Iv"
            android:layout_width="12dp"
            android:layout_height="12dp"
            android:layout_marginStart="6dp"
            android:alpha="1"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintStart_toStartOf="parent"
            motion:layout_constraintTop_toTopOf="parent" />

        <Constraint
            android:id="@+id/filter1Tv"
            android:layout_width="wrap_content"
            android:layout_height="0dp"
            android:layout_marginStart="2dp"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintStart_toEndOf="@+id/icon1Iv"
            motion:layout_constraintTop_toTopOf="parent">
            <CustomAttribute
                motion:attributeName="textColor"
                motion:customColorValue="#E0FFFFFF" />
        </Constraint>

        <Constraint
            android:id="@+id/icon2Iv"
            android:layout_width="12dp"
            android:layout_height="12dp"
            android:layout_marginStart="6dp"
            android:alpha="0"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintStart_toEndOf="@+id/indicator"
            motion:layout_constraintTop_toTopOf="parent" />

        <Constraint
            android:id="@+id/filter2Tv"
            android:layout_width="40dp"
            android:layout_height="0dp"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintStart_toEndOf="@+id/indicator"
            motion:layout_constraintTop_toTopOf="parent">
            <CustomAttribute
                motion:attributeName="textColor"
                motion:customColorValue="#7AFFFFFF" />
        </Constraint>

        <Constraint
            android:id="@+id/icon3Iv"
            android:layout_width="12dp"
            android:layout_height="12dp"
            android:layout_marginStart="6dp"
            android:alpha="0"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintStart_toEndOf="@+id/filter2Tv"
            motion:layout_constraintTop_toTopOf="parent" />

        <Constraint
            android:id="@+id/filter3Tv"
            android:layout_width="40dp"
            android:layout_height="0dp"
            android:layout_marginStart="-2dp"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintStart_toEndOf="@+id/filter2Tv"
            motion:layout_constraintTop_toTopOf="parent">
            <CustomAttribute
                motion:attributeName="textColor"
                motion:customColorValue="#7AFFFFFF" />
        </Constraint>
    </ConstraintSet>

    <ConstraintSet android:id="@+id/filterDark2">
        <Constraint
            android:id="@+id/indicator"
            android:layout_width="50dp"
            android:layout_height="24dp"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintStart_toEndOf="@+id/filter1Tv"
            motion:layout_constraintTop_toTopOf="parent" />

        <Constraint
            android:id="@+id/icon1Iv"
            android:layout_width="12dp"
            android:layout_height="12dp"
            android:layout_marginStart="6dp"
            android:alpha="0"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintStart_toStartOf="parent"
            motion:layout_constraintTop_toTopOf="parent" />

        <Constraint
            android:id="@+id/filter1Tv"
            android:layout_width="40dp"
            android:layout_height="0dp"
            android:layout_marginStart="-2dp"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintStart_toStartOf="parent"
            motion:layout_constraintTop_toTopOf="parent">
            <CustomAttribute
                motion:attributeName="textColor"
                motion:customColorValue="#7AFFFFFF" />
        </Constraint>

        <Constraint
            android:id="@+id/icon2Iv"
            android:layout_width="12dp"
            android:layout_height="12dp"
            android:layout_marginStart="6dp"
            android:alpha="1"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintStart_toEndOf="@+id/filter1Tv"
            motion:layout_constraintTop_toTopOf="parent" />

        <Constraint
            android:id="@+id/filter2Tv"
            android:layout_width="wrap_content"
            android:layout_height="0dp"
            android:layout_marginStart="2dp"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintStart_toEndOf="@+id/icon2Iv"
            motion:layout_constraintTop_toTopOf="parent">
            <CustomAttribute
                motion:attributeName="textColor"
                motion:customColorValue="#E0FFFFFF" />
        </Constraint>

        <Constraint
            android:id="@+id/icon3Iv"
            android:layout_width="12dp"
            android:layout_height="12dp"
            android:layout_marginStart="6dp"
            android:alpha="0"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintStart_toStartOf="@+id/filter3Tv"
            motion:layout_constraintTop_toTopOf="parent" />

        <Constraint
            android:id="@+id/filter3Tv"
            android:layout_width="40dp"
            android:layout_height="0dp"
            android:layout_marginEnd="-2dp"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintEnd_toEndOf="parent"
            motion:layout_constraintTop_toTopOf="parent">
            <CustomAttribute
                motion:attributeName="textColor"
                motion:customColorValue="#7AFFFFFF" />
        </Constraint>
    </ConstraintSet>

    <ConstraintSet android:id="@+id/filterDark3">
        <Constraint
            android:id="@+id/indicator"
            android:layout_width="50dp"
            android:layout_height="24dp"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintEnd_toEndOf="parent"
            motion:layout_constraintTop_toTopOf="parent" />

        <Constraint
            android:id="@+id/icon1Iv"
            android:layout_width="12dp"
            android:layout_height="12dp"
            android:layout_marginStart="6dp"
            android:alpha="0"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintStart_toStartOf="parent"
            motion:layout_constraintTop_toTopOf="parent" />

        <Constraint
            android:id="@+id/filter1Tv"
            android:layout_width="40dp"
            android:layout_height="0dp"
            android:layout_marginStart="-2dp"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintStart_toStartOf="parent"
            motion:layout_constraintTop_toTopOf="parent">
            <CustomAttribute
                motion:attributeName="textColor"
                motion:customColorValue="#7AFFFFFF" />
        </Constraint>

        <Constraint
            android:id="@+id/icon2Iv"
            android:layout_width="12dp"
            android:layout_height="12dp"
            android:layout_marginStart="6dp"
            android:alpha="0"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintStart_toEndOf="@+id/filter1Tv"
            motion:layout_constraintTop_toTopOf="parent" />

        <Constraint
            android:id="@+id/filter2Tv"
            android:layout_width="40dp"
            android:layout_height="0dp"
            android:layout_marginStart="-2dp"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintStart_toEndOf="@+id/filter1Tv"
            motion:layout_constraintTop_toTopOf="parent">
            <CustomAttribute
                motion:attributeName="textColor"
                motion:customColorValue="#7AFFFFFF" />
        </Constraint>

        <Constraint
            android:id="@+id/icon3Iv"
            android:layout_width="12dp"
            android:layout_height="12dp"
            android:layout_marginStart="6dp"
            android:alpha="1"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintStart_toEndOf="@+id/filter2Tv"
            motion:layout_constraintTop_toTopOf="parent" />

        <Constraint
            android:id="@+id/filter3Tv"
            android:layout_width="wrap_content"
            android:layout_height="0dp"
            android:layout_marginStart="2dp"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintStart_toEndOf="@+id/icon3Iv"
            motion:layout_constraintTop_toTopOf="parent">
            <CustomAttribute
                motion:attributeName="textColor"
                motion:customColorValue="#E0FFFFFF" />
        </Constraint>
    </ConstraintSet>

</MotionScene>